/ comp / gb.opengl / gl / loadidentity
Gl.LoadIdentity (gb.opengl)
Syntax

    STATIC SUB LoadIdentity ( )

### Replace the current matrix with the identity matrix

#### Description

Gl.LoadIdentity replaces the current matrix with the identity matrix. It is semantically equivalent to calling Gl.LoadMatrix with the identity matrix
but in some cases it is more efficient.

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.LoadIdentity is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetMatrixMode
Gl.GetModelviewMatrix
Gl.GetProjectionMatrix
Gl.GetTextureMatrix

### See also

Gl.LoadMatrixf, Gl.MatrixMode , Gl.MultMatrix, Gl.PushMatrix